com.sun.jna.platform.win32

## Class WinspoolUtil

- java.lang.Object
- - com.sun.jna.platform.win32.WinspoolUtil

    public abstract class WinspoolUtil
    extends java.lang.Object

Winspool Utility API.

Author:
  dblock[at]dblock.org, Ivan Ridao Freitas, Padrus

### Constructor Summary

Constructors
Constructor and Description
`WinspoolUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Winspool.PRINTER_INFO_2[]` `getAllPrinterInfo2()` Returns printers that are physically attached to the local machine as well as remote printers to which it has a network connection.
`static Winspool.JOB_INFO_1[]` `getJobInfo1(WinNT.HANDLEByReference phPrinter)`
`static Winspool.PRINTER_INFO_1[]` `getPrinterInfo1()`
`static Winspool.PRINTER_INFO_2[]` `getPrinterInfo2()`
`static Winspool.PRINTER_INFO_2` `getPrinterInfo2(java.lang.String printerName)`
`static Winspool.PRINTER_INFO_4[]` `getPrinterInfo4()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WinspoolUtil

    public WinspoolUtil()

### Method Detail

#### getPrinterInfo1

    public static Winspool.PRINTER_INFO_1[] getPrinterInfo1()

#### getPrinterInfo2

    public static Winspool.PRINTER_INFO_2[] getPrinterInfo2()

#### getAllPrinterInfo2

    public static Winspool.PRINTER_INFO_2[] getAllPrinterInfo2()

Returns printers that are physically attached to the local machine as well as remote printers to which it has a network connection.

#### getPrinterInfo2

    public static Winspool.PRINTER_INFO_2 getPrinterInfo2(java.lang.String printerName)

#### getPrinterInfo4

    public static Winspool.PRINTER_INFO_4[] getPrinterInfo4()

#### getJobInfo1

    public static Winspool.JOB_INFO_1[] getJobInfo1(WinNT.HANDLEByReference phPrinter)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.